[SCM] Gerris Flow Solver branch, upstream, updated. e8f73a07832050124d2b8bf6c6f35b33180e65a8

Stephane Popinet popinet at users.sf.net
Tue Nov 24 12:24:22 UTC 2009


The following commit has been merged in the upstream branch:
commit 4d802b9c2c1b0f3f8c23a444b484d6e8ddacc455
Author: Stephane Popinet <popinet at users.sf.net>
Date:   Wed May 13 09:52:23 2009 +1000

    Added 'launchpad-snapshot' Makefile target
    
    darcs-hash:20090512235223-d4795-e3b0c69791a7a5dfdc4519fe3dbebf1123d6b7d4.gz

diff --git a/Makefile.am b/Makefile.am
index 5c24a1c..efbae0b 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,6 +1,19 @@
 ## Process this file with automake to produce Makefile.in
 
-SUBDIRS = modules src tools test doc desktop
+# changed this to your dput command
+DPUT = socksify dput
+
+# change this to your launchpad PPA
+# configured in ~/.dput.cf
+PPA = gerris-ppa
+
+# change this to the ID of the PPA GPG key
+KEY = 07AB22DC
+
+# change this to the html changelog for this launchpad release
+LOG = /var/www/gerris/version/gerris_changes
+
+SUBDIRS = modules src tools test doc desktop debian
 
 EXTRA_DIST = ChangeLog
 
@@ -21,3 +34,11 @@ debian-snapshot: $(DARCS_CHANGELOG) config.h src/version.h
 	rm -f debian/repo/*
 	mv -f ../*.changes ../*.deb debian/repo
 	cd debian/repo && dpkg-scanpackages . /dev/null | gzip -9c > Packages.gz
+
+launchpad-snapshot: $(DARCS_CHANGELOG) config.h src/version.h dist
+	tar xzf gerris-?.?.?.tar.gz
+	cd gerris-?.?.? && ./configure && sh debian/changelog.sh $(LOG) && dpkg-buildpackage -rfakeroot -k$(KEY) -S -sa
+	rm -f gerris-?.?.?.tar.gz
+	rm -r -f gerris-?.?.?
+	$(DPUT) $(PPA) gerris-snapshot_?.?.?-*_source.changes
+	rm -f gerris-snapshot_?.?.?-*
diff --git a/configure.in b/configure.in
index 9f5b2fd..4f46a46 100644
--- a/configure.in
+++ b/configure.in
@@ -463,4 +463,5 @@ doc/examples/gfs2doc
 doc/examples/gfs-highlight
 doc/examples/crossref.sh
 desktop/Makefile
+debian/Makefile
 ])
diff --git a/debian/Makefile.am b/debian/Makefile.am
new file mode 100644
index 0000000..153216c
--- /dev/null
+++ b/debian/Makefile.am
@@ -0,0 +1 @@
+EXTRA_DIST = changelog.sh compat control copyright docs gerris-snapshot.symbols rules
diff --git a/debian/changelog.sh b/debian/changelog.sh
index 605059b..243498d 100644
--- a/debian/changelog.sh
+++ b/debian/changelog.sh
@@ -1,10 +1,25 @@
 GERRIS_VERSION=$(grep GFS_VERSION config.h | awk 'BEGIN{FS=" |\""}{print $4}')
 version=$(grep GFS_BUILD_VERSION src/version.h | awk 'BEGIN{FS=" |\"|-"}{print $4}')
 date=$(date +"%a, %e %b %Y %T %z")
-cat <<EOF > debian/changelog
-gerris-snapshot ($GERRIS_VERSION-$version) testing; urgency=low
+
+if test -z $1; then
+    cat <<EOF > debian/changelog
+gerris-snapshot ($GERRIS_VERSION-$version) hardy; urgency=low
 
   * gerris-snapshot release (based on Drew Parsons's official debian)
 
  -- Stephane Popinet <popinet at users.sf.net>  $date
 EOF
+else
+    cat <<EOF > debian/changelog
+gerris-snapshot ($GERRIS_VERSION-$version) hardy; urgency=low
+
+EOF
+    if html2text < $1 | grep -v "^[0-9]\{4\}-[0-9]\{2\}-[0-9]\{2\} " >> debian/changelog; then :
+    else
+	exit 1
+    fi
+cat <<EOF >> debian/changelog
+ -- Stephane Popinet <popinet at users.sf.net>  $date
+EOF
+fi
diff --git a/debian/control b/debian/control
index 0d700c0..f38c393 100644
--- a/debian/control
+++ b/debian/control
@@ -3,6 +3,7 @@ Section: science
 Priority: optional
 Maintainer: Stephane Popinet <popinet at users.sf.net>
 Build-Depends: cdbs, debhelper (>= 5), autotools-dev, libglib2.0-dev,
+	       libgts-snapshot-dev,
 	       libnetcdf-dev, libgsl0-dev, proj,
 	       python, g77 | gfortran, chrpath
 Homepage: http://gfs.sourceforge.net/

-- 
Gerris Flow Solver



More information about the debian-science-commits mailing list